对象
WebhookEndpoint
字段
idinteger必填urlstring必填descriptionstring必填activeboolean必填paused_atstring (date-time) | nullpaused_reasonstring | nullfailures:连续 10 次投递尝试失败;feature_disabled:套餐不包含 Webhook。disabled_reasonstring | nullgone:接收端返回了 410;manual:由管理员停用。可选值:
gonemanualnulldisabled_atstring (date-time) | nulldata_profile_idinteger | nullWebhook 的数据权限档案(
null表示没有档案,与具有相同角色的 API 密钥相同)。collection_idsarray of integer必填Webhook 接收其事件的合集;为空表示角色和数据权限档案可访问的所有合集。
tagsarray of string必填只接收带有其中任一标签的卡片的卡片事件;为空表示不筛选。
auth_typestring | null出站授权的类型(
null表示无)。可选值:
bearerbasicnullauth_setboolean必填是否已设置出站授权(其值从不返回)。
previous_secret_valid_untilstring (date-time) | null投递同时使用旧签名密钥签名的截止时间(
null表示没有过渡期)。healthWebhookHealthconsecutive_failuresinteger必填last_delivery_atstring (date-time) | nulllast_success_atstring (date-time) | nulllast_errorstring | nullcreated_byinteger | nullcreated_by_namestring | nullcreated_atstring (date-time)必填updated_atstring (date-time)必填
使用方
- GET
/v1/webhooks/{webhook_id}获取 Webhook - PATCH
/v1/webhooks/{webhook_id}更新 Webhook - POST
/v1/webhooks/{webhook_id}/revoke-previous-secret撤销旧的签名密钥 - POST
/v1/webhooks/{webhook_id}/resume恢复 Webhook